Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055824 - Unable to specify which cartridges should be installed by openshift.ks/openshift.sh
Summary: Unable to specify which cartridges should be installed by openshift.ks/opensh...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 2.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Luke Meyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-21 02:19 UTC by Miciah Dashiel Butler Masters
Modified: 2014-01-27 18:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-27 18:12:05 UTC


Attachments (Terms of Use)

Description Miciah Dashiel Butler Masters 2014-01-21 02:19:13 UTC
Description of problem:

openshift.ks/openshift.sh does not have an option to specify which cartridges I would like installed.


Actual results:

There is no option.

Expected results:

I would like to be able to tell the script which cartridges to install (and which not to install); e.g.,:

    sh openshift.sh cartridges=all,-jboss,-postgres

Additional info:

PR: https://github.com/openshift/openshift-extras/issues/271

Comment 2 Brenton Leanhardt 2014-01-22 15:25:13 UTC
If this is ready for testing simply move it to ON_QA state.  QE will test the code in the PR link.

Comment 3 Miciah Dashiel Butler Masters 2014-01-23 01:48:55 UTC
Nobody has commented on the updated pull-request, so I guess QE might as well have at it.

Comment 4 Nan Wei 2014-01-23 11:49:56 UTC
Openshift enterprise puddle: 2014-01-22.1

1. install jenkins, php, postgres cartridges
#sh openshift.sh cartridges=jenkins,php,postgres

2. check cartridges which has installed
[root@ose-verify-1055824 cartridges]# ls /usr/libexec/openshift/cartridges
jenkins  jenkins-client  php  postgresql

3. create php app and jenkins app
[root@broker ~]# rhc app create phpapp php postgresql-9.2 --no-git
Application Options
-------------------
  Domain:     nweid
  Cartridges: php-5.3, postgresql-9.2
  Gear Size:  default
  Scaling:    no

Creating application 'phpapp' ... done

  PostgreSQL 9.2 database added.  Please make note of these credentials:

   Root User: admingnfmijk
   Root Password: pb7jcXuk3_rF
   Database Name: phpapp

Connection URL: postgresql://$OPENSHIFT_POSTGRESQL_DB_HOST:$OPENSHIFT_POSTGRESQL_DB_PORT
Your application 'phpapp' is now available.

  URL:        http://phpapp-nweid.ose202.example.com/
  SSH to:     52e100dc90c89458c7000005@phpapp-nweid.ose202.example.com
  Git remote: ssh://52e100dc90c89458c7000005@phpapp-nweid.ose202.example.com/~/git/phpapp.git/

Run 'rhc show-app phpapp' for more details about your app.
[root@broker ~]# rhc app create jks jen
Using jenkins-1 (Jenkins Server) for 'jen'

Application Options
-------------------
  Domain:     nweid
  Cartridges: jenkins-1
  Gear Size:  default
  Scaling:    no

Creating application 'jks' ... done

  Jenkins created successfully.  Please make note of these credentials:

   User: admin
   Password: MgCY7hRNnlm5

Note:  You can change your password at: https://jks-nweid.ose202.example.com/me/configure

Waiting for your DNS name to be available ... done

Initialized empty Git repository in /root/jks/.git/
The authenticity of host 'jks-nweid.ose202.example.com (172.16.0.56)' can't be established.
RSA key fingerprint is f5:2e:2f:ea:e3:af:84:df:ec:b0:97:f9:65:32:07:27.
Are you sure you want to continue connecting (yes/no)? no


Note You need to log in before you can comment on or make changes to this bug.